routes/web.php
<?php

use App\Http\Controllers\Admin\NewsController;
use App\Http\Controllers\Admin\ServicesController;
use App\Http\Controllers\Admin\AwardsController;

// use App\Http\Controllers\AwardsController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\MediaController;
use App\Http\Controllers\NewsController as ControllersNewsController;
use App\Http\Controllers\NProductController;
use App\Http\Controllers\ServiceController;
use App\Models\Banner;
use App\Models\Customer;
use App\Models\News;
use App\Models\Partner;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
//website routes
Route::get('/test',function(){
    return view('test');
});
Route::get('/', function () {
    $banners = Banner::limit(10)->get();
    $categories = App\Models\Category::whereNull('parent_id')->get();
    $news =News::orderBy('created_at')->limit(4)->get();
    return view('welcome', compact('banners', 'categories','news'));
})->name('home');
Route::get('/about-us', function () {
    $partners = Partner::all();
    $customers = Customer::all();
    return view('about-us', compact('partners', 'customers'));
})->name('about.us');
Route::get('/business-lines/{category}', [CategoryController::class, 'show'])->name('category.show');
Route::get('/media', [MediaController::class, 'index'])->name('media.show');
Route::get('/product/{product}', [NProductController::class, 'show'])->name('wproduct.show');
Route::get('/news/{new}', [ControllersNewsController::class, 'show'])->name('newsa.show');
Route::get('/news', [ControllersNewsController::class, 'index'])->name('newsa.index');

Route::get('/services/{service}', [ServiceController::class, 'show'])->name('service.show');
Route::get('/awards', [AwardsController::class, 'index'])->name('awardsa.index');
Route::get('/contact-us', function () {
    return view('contact-us');
})->name('contact.us');
Route::post('/contact-us/store', function () {
    return redirect()->route('home');
})->name('contact.us.submit');

Route::get('/privacy', function () {
    return view('privacy');
})->name('privacy');


//admin routes
Route::group(
    ['prefix' => 'admin', 'namespace' => 'App\Http\Controllers\Admin'],
    function () {
        Route::group(['namespace' => 'Auth'], function () {
            Route::get('login', 'LoginController@showLoginForm')->name('login');
            Route::post('login', 'LoginController@login')->name('login_submit');
            Route::post('logout', 'LoginController@logout')->name('logout');
        });

        Route::group(['middleware' => ["auth"]], function () {
            Route::get('dashboard', 'DashboardController@index')->name('dashboard');
            //categories
            Route::resource('categories', 'CategoriesController')->except('create');
            //awards
            Route::resource('awards', 'AwardsController')->except('create');
            Route::post('categories/subadd/{parent}', 'CategoriesController@storesub')->name('categories.storesub');

            //vacancies
            Route::resource('vacancies', 'VacanciesController');
            Route::resource('requests', 'RequestsController');

            //users
            Route::resource('users', 'UsersController')->except('create');

            Route::resource('profile', 'ProfileController');

            Route::resource('news', 'NewsController');
            Route::resource('products', 'ProductsController');

            Route::get('products/preview_product/{id}', 'ProductsController@preview')->name('products.preview');

            Route::resource('services', 'ServicesController');
            Route::resource('partners', 'PartnersController');
            Route::resource('customers', 'CustomersController');


            Route::get('services/preview_services/{id}', ('ServicesController@preview'))->name('service.preview');



            Route::put('profile/{profile}/update_password', 'ProfileController@update_password')->name('profile.update_password');
        });
    }

);

app/Models/Services.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Kyslik\ColumnSortable\Sortable;

class Services extends SuperScope
{
    use HasFactory;
    use Sortable;


    protected $fillable = ['name', 'ar_name', 'fr_name', 'description', 'image', 'category_id', 'ar_description', 'fr_description'];

    public $sortable = [
        'id',
        'name', 'ar_name', 'fr_name', 'description',
    ];
    public function Category()
    {
        return $this->belongsTo(Category::class);
    }
    public function getImageAttribute($value)
    {
        return asset('files/general/images/' . $value);
    }
}

app/Http/Controllers/Admin/ServicesController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Misc\Helpers\FileHandler;
use App\Http\Requests\Admin\CreateNewServiceRequest;
use App\Http\Requests\Admin\UpdateServices;
use App\Http\Requests\Admin\UpdateServicesRequest;
use App\Models\Category;
use App\Models\Services;
use Illuminate\Http\Request;

class ServicesController extends Controller
{

    public function index(Services $services, Category $categories, Request $request)
    {
        $categories = Category::all();
        $data = Services::dates($request->dates);
        $data = $data->searchIn(["name", "ar_name", "fr_name", "description"], $request->search_input);

        $data = $data->sortable('id', 'desc')
            ->paginate(15)->withQueryString();;
        return view('admin.services.index', compact('data', 'categories'));
    }

    public function store(CreateNewServiceRequest $request, Services $service)
    {
        $record = Services::create([
            "name" => $request->name,
            "ar_name" => $request->ar_name,
            "fr_name" => $request->fr_name,
            "description" => $request->description,
            "ar_description" => $request->ar_description,
            "fr_description" => $request->fr_description,
            "category_id" => $request->category_id,
            "image" =>  $request->file('image') ? FileHandler::store_img($request->image, 'general_images') : null,
        ]);
        $record->save();

        return redirect()->back()->with(["message" => "You have add a new service"]);
    }





    public function update(UpdateServicesRequest $request, Services $service)
    {

        $service->name = $request->name;
        $service->ar_name = $request->ar_name;
        $service->fr_name = $request->fr_name;
        $service->description = $request->input('description'.$service->id);
        $service->ar_description = $request->input('ar_description'.$service->id);
        $service->fr_description = $request->input('fr_description'.$service->id);

        $service->category_id = $request->category_id;

        if (empty($request->new_image)) {
        } else {
            $service->image =  $request->file('new_image') ? FileHandler::store_img($request->new_image, 'general_images') : null;
        }

        $service->save();
        return redirect()->back()->with(["message" => "You have update the service information"]);
    }




    public function destroy(Services $service)
    {
        $service->delete();
        return redirect()->back()->with(["message" => 'Service has been deleted']);
    }

    public function preview(Services $service,Request $request,Category $categories)
    {
        $categories=Category::all();
        $service = Services::where('id',$request->id)->get();

        return view('admin.services.preview',compact('service','categories'));
    }
}

app/Http/Controllers/ServiceController.php
<?php

namespace App\Http\Controllers;

use App\Models\Services;
use Illuminate\Http\Request;

class ServiceController extends Controller
{
    //
    public function show(Request $request ,Services $service){

        return view('service',compact('service'));
    }
}

resources/views/admin/services/index.blade.php
@extends('layouts.dashboard')
@section('content')

    <x-content-header route="{{route('services.index')}}"/>
    <x-content-subheader>
        <x-button-add button class=" btn-primary " type="button" data-bs-toggle="modal" data-bs-target="#create-modal">
        Add a new service
        </x-button-add>
        <x-modal id="create-modal" method="post" action="{{ route('services.store') }}">
            <x-slot name="header">Add a new service</x-slot>
            <x-slot name="body">
                @include('admin._forms.create-service')
            </x-slot>
        </x-modal>

    </x-content-subheader>
    <x-table title="Services ">
        <x-slot name="header">
            <x-header-dates route="{{route('services.index')}}"/>
        </x-slot>
        <x-slot name="tableheader">
            <tr>
                <th scope="col"></th>
                <th scope="col">@sortablelink('id', '#')</th>
                <th scope="col">@sortablelink('name','name ') </th>
                <th scope="col">@sortablelink('ar_name','ar name ') </th>
                <th scope="col">@sortablelink('fr_name','fr name ') </th>
                <th scope="col">@sortablelink('image','Image') </th>

            </tr>

        </x-slot>
        <x-slot name="tablebody">
            @foreach ($data as $row)
                <tr>
                    <th scope="row">
                        <x-operations>
                            <x-operation-item type="button" type="button" data-bs-toggle="modal" data-bs-target="#show-modal-{{$row->id}}"
                                data-id="{{$row->id}}" data-url="{{ route( 'products.show', $row->id) }}">
                                View service
                            </x-operation-item>
                              <x-operation-button type="button" >
                               <a href="{{ route('service.preview',$row->id) }}" style="color: rgb(97, 97, 97)">Preview service</a> 
                            </x-operation-item>
                            <x-operation-button type="button" type="button" data-bs-toggle="modal" data-bs-target="#edit-modal-{{$row->id}}"
                                data-id="{{$row->id}}" data-url="{{ route( 'services.update', $row->id) }}">
                                Edit service
                            </x-operation-button>
                            <x-operation-button type="button" data-bs-toggle="modal" data-bs-target="#delete-modal-{{$row->id}}" class="delete-user"
                                data-id="{{$row->id}}" data-url="{{ route( 'services.destroy', $row->id) }}">
                                Delete service
                            </x-operation-button>

                        </x-operations>


                    </th>
                    <td>{{ $row->id }}</td>
                    <td>{{ $row->name }}</td>
                    <td>{{ $row->ar_name }}</td>
                    <td>{{ $row->fr_name }}</td>
                    <td>
                    <img width="65" src="{{asset($row->image) }}" class="zoom" alt="{{ $row->ar_title }}">
                </td>

                </tr>
                <x-modal id="show-modal-{{$row->id}}" method="get" role="document" action="{{ route('products.show',$row->id )}}" >
                    <x-slot name="header">View service</x-slot>
                    <x-slot name="body">
                        @include('admin._forms.view-products')
                    </x-slot>
                </x-modal>

         

                <x-modal id="delete-modal-{{$row->id}}" method="delete" role="document"   
                    action="{{route('services.destroy',$row->id)}}" >
                        <x-slot name="header">Do you want to delete this service ?</x-slot>
                        <x-slot name="body">
                        </x-slot>
                </x-modal>
                <x-modal id="edit-modal-{{$row->id}}" formid="Editservice{{ $row->id }}" method="put"  rowid="{{$row->id}}" role="document" action="{{ route('services.update',$row->id )}}" >
                    <x-slot name="header">Edit service</x-slot>
                    <x-slot name="body">
                        @include('admin._forms.update-service')
                    </x-slot>

                </x-modal>
            @endforeach
        </x-slot>
        <x-slot name="tablefooter">
            <div class="d-flex justify-content-center mt-2  ">
                {{ $data->links('vendor.pagination.bootstrap-4') }}
            </div>
        </x-slot>
    </x-table>


@endsection

resources/views/admin/services/preview.blade.php
@extends('layouts.dashboard')
@section('content')
    <x-arrow-header />
    @foreach ($service as $row)

        <div class="mb-5  px-5">
            <div class="card rounded-12 shadow-dark-80 ">
                <div class="card-body px-0">
                    <div class="d-flex align-items-center border-bottom border-gray-200 pb-3 mb-2 px-3 px-md-4">
                        <h5 class="card-header-title mb-0 font-weight-semibold ps-md-2">Service preview</h5>
                        <div class="ms-auto pe-md-2">
                        </div>

                    </div>
                    <div class="m-3">
                        <img src="{{ $row->image }}" class=" border rounded-circle" style="object-fit: cover;"
                            width="200px" height="200px" alt="...">
                    </div>
                    <div class="card-body-inner align-items-center">
                        <table class="table table-hover text-center ">
                            <nav class="justify-content-center">
                                <div class="nav nav-tabs justify-content-around" id="nav-tab" role="tablist">

                                    <a class="nav-link " id="nav-ardescrition-tab" data-bs-toggle="tab"
                                        href="#nav-ar_description" role="tab" aria-controls="nav-home" aria-selected="true">
                                        <h6>Arabic</h6>
                                    </a>
                                    <a class="nav-link " id="nav-endescrition-tab" data-bs-toggle="tab"
                                        href="#nav-en_description" role="tab" aria-controls="nav-home" aria-selected="true">
                                        <h6>English</h6>
                                    </a>
                                    <a class="nav-link " id="nav-home-tab" data-bs-toggle="tab"
                                        href="#nav-fr_description" role="tab" aria-controls="nav-home" aria-selected="true">
                                        <h6>Frensh</h6>
                                    </a>

                                </div>

                            </nav>
                            <div class="tab-content mt-3" id="nav-tabContent">
                                <div class="tab-pane fade show " id="nav-ar_description" role="tabpanel"
                                    aria-labelledby="nav-home-tab">

                                    <div class="m-3">
                                        <div class="row">
                                            <div class="col-sm">
                                                <x-input label="Ar name" type="text" value="{{ $row->ar_name }}"
                                                    disabled />
                                            </div>
                                            <div class="col-sm">
                                                <x-input label="Category" type="text" value="{{ $row->category->name }}"
                                                    disabled />
                                            </div>

                                        </div>

                                        <x-w-textarea label="
                                                Description" type="text" value="{{ $row->description }}" disabled>
                                                {{ strip_tags($row->ar_description) }}                                        </x-w-textarea>


                                    </div>
                                </div>
                                <div class="tab-pane fade show " id="nav-en_description" role="tabpanel"
                                    aria-labelledby="nav-home-tab">
                                    <div class="m-3">
                                        <div class="row">
                                            <div class="col-sm">
                                                <x-input label="En name" type="text" value="{{ $row->name }}" disabled />
                                            </div>
                                            <div class="col-sm">
                                                <x-input label="Category" type="text" value="{{ $row->category->name }}"
                                                    disabled />
                                            </div>

                                        </div>

                                        <x-w-textarea label="
                                                Description" type="text" value="{{ $row->description }}" disabled>
                                            {{ strip_tags($row->description) }} </x-w-textarea>


                                    </div>
                                </div>
                                <div class="tab-pane fade show " id="nav-fr_description" role="tabpanel"
                                    aria-labelledby="nav-home-tab">
                                    <div class="m-3">
                                        <div class="row">
                                            <div class="col-sm">
                                                <x-input label="Fr name" type="text" value="{{ $row->fr_name }}"
                                                    disabled />
                                            </div>
                                            <div class="col-sm">
                                                <x-input label="Category" type="text" value="{{ $row->category->name }}"
                                                    disabled />
                                            </div>

                                        </div>

                                        <x-w-textarea label="
                                                Description" type="text" value="{{ $row->description }}" disabled>
                                                {{ strip_tags($row->fr_description) }}                                        </x-w-textarea>


                                    </div>
                                </div>
                            </div>

                        </table>
                    </div>

                </div>
            </div>



        </div>

    @endforeach
@endsection
{{-- <img src="{{ $row->image }}" class="img-fluid" alt="..."> --}}